Loading...
Searching...
No Matches
SelectMidiChannel Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for SelectMidiChannel:

## Public Member Functions

| ~SelectMidiChannel ()
sigc::signal< void > & | signal_close ()

## Static Public Member Functions

static SelectMidiChannel * | create (gx_system::CmdlineOptions &opt, gx_engine::GxMachineBase &machine)

## Private Member Functions

void | on_ok_button ()
void | on_cancel_button ()
bool | on_delete_event (GdkEventAny *event)
bool | on_key_press_event (GdkEventKey *event)
| SelectMidiChannel (BaseObjectType *cobject, Glib::RefPtr< gx_gui::GxBuilder > bld, gx_engine::GxMachineBase &m)

## Static Private Member Functions

static SelectMidiChannel * | create_from_builder (BaseObjectType *cobject, Glib::RefPtr< gx_gui::GxBuilder > bld, gx_engine::GxMachineBase &m)

## Private Attributes

Gtk::Label * | description
Gtk::ComboBox * | channelcombo
gx_engine::GxMachineBase & | machine
sigc::signal< void > | close

## Detailed Description

Definition at line 758 of file gx_main_window.h.

## Constructor & Destructor Documentation

## SelectMidiChannel()

SelectMidiChannel::SelectMidiChannel | ( | BaseObjectType * | cobject,
|  | Glib::RefPtr< gx_gui::GxBuilder > | bld,
|  | gx_engine::GxMachineBase & | m )

private

Referenced by create(), and create_from_builder().

## ~SelectMidiChannel()

SelectMidiChannel::~SelectMidiChannel | ( |  | ) |

## Member Function Documentation

## create()

SelectMidiChannel * SelectMidiChannel::create | ( | gx_system::CmdlineOptions & | opt,
|  | gx_engine::GxMachineBase & | machine )

static

## create_from_builder()

SelectMidiChannel * SelectMidiChannel::create_from_builder | ( | BaseObjectType * | cobject,
|  | Glib::RefPtr< gx_gui::GxBuilder > | bld,
|  | gx_engine::GxMachineBase & | m )

inline static private

Definition at line 768 of file gx_main_window.h.

## on_cancel_button()

void SelectMidiChannel::on_cancel_button | ( |  | ) |

private

## on_delete_event()

bool SelectMidiChannel::on_delete_event | ( | GdkEventAny * | event | ) |

private

## on_key_press_event()

bool SelectMidiChannel::on_key_press_event | ( | GdkEventKey * | event | ) |

private

## on_ok_button()

void SelectMidiChannel::on_ok_button | ( |  | ) |

private

## signal_close()

sigc::signal< void > & SelectMidiChannel::signal_close | ( |  | ) |

inline

Definition at line 775 of file gx_main_window.h.

## Member Data Documentation

## channelcombo

Gtk::ComboBox* SelectMidiChannel::channelcombo

private

Definition at line 761 of file gx_main_window.h.

## close

sigc::signal<void> SelectMidiChannel::close

private

Definition at line 763 of file gx_main_window.h.

Referenced by signal_close().

## description

Gtk::Label* SelectMidiChannel::description

private

Definition at line 760 of file gx_main_window.h.

## machine

gx_engine::GxMachineBase& SelectMidiChannel::machine

private

Definition at line 762 of file gx_main_window.h.

Referenced by create().

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h